.window {
    max-width: 300px;

    .window-contents {
        overflow-x: hidden;
    }

    label {
        font-family: "JetBrains Mono", monospace;
        color: rgba(100%, 100%, 100%, 0.8);
        font-weight: lighter;
        text-align: left;
        margin-bottom: 4px;
    }

    .detail {
        font-family: "JetBrains Mono", monospace;
        font-size: 10px;
        color: rgba(100%, 100%, 100%, 0.7);
        margin: 0 3px 10px;
        font-weight: lighter;
    }

    .detail.error {
        color: rgba(255, 106, 106, 0.8);
    }

    .link.detail {
        margin-top: 5px;
        margin-bottom: -3px;
        text-decoration: none;
        align-self: flex-start;
    }

    .detail-bottom {
        margin-bottom: 0 !important;
    }

    input {
        margin-bottom: 10px;
    }

    .line:has(.detail) {
        input {
            margin-bottom: 3px;
        }
    }

    button {
        cursor: pointer;
        width: 100%;
    }

    .form-container {
        display: flex;
        flex-direction: column;

        flex-grow: 1;
        width: 100%;
        height: 100%;

        justify-content: center;
        align-items: center;

        .line {
            display: flex;
            flex-direction: column;
            width: 100%;
            text-align: left;
        }
    }
}
